<?php

/**
 * Class that operate on table 'taskorder'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2018-11-18 12:20
 */
class TaskorderMySqlExtDAO extends TaskorderMySqlDAO {

    public function queryAllExt($query) {
        $sql = 'SELECT * FROM taskorder where 1 ' . $query;
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

    public function queryAllWithProductName() {
        $sql = 'SELECT taskorder.* , product.productName, productcat.productCatName as proCatName FROM taskorder, product, productcat where taskorder.productId = product.productId and product.productCatId = productcat.productCatId';
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

}

?>